org.deidentifier.arx.framework.check.groupify

## Class MetaHashGroupify

- java.lang.Object
- - org.deidentifier.arx.framework.check.groupify.MetaHashGroupify

    public class MetaHashGroupify
    extends java.lang.Object

A hash groupify operator for entries of hash groupifies

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`MetaHashGroupify(HashGroupify groupify, int index)` Constructs a new operator.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(HashGroupifyEntry _entry)` Adds a tuple from the buffer
`MetaHashGroupifyEntry` `getFirstEntry()` Returns the first entry

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaHashGroupify

    public MetaHashGroupify(HashGroupify groupify,
                            int index)

Constructs a new operator.

Parameters:
  `groupify` -
  `index` -

### Method Detail

#### add

    public void add(HashGroupifyEntry _entry)

Adds a tuple from the buffer

Parameters:
  `_entry` -

#### getFirstEntry

    public MetaHashGroupifyEntry getFirstEntry()

Returns the first entry

Returns: